import request from '@/utils/request'

// 查询技术资料列表
export function listTechData(query) {
  return request({
    url: '/tech/techData/list',
    method: 'get',
    params: query
  })
}

// 查询技术资料详细
export function getTechData(id) {
  return request({
    url: '/tech/techData/' + id,
    method: 'get'
  })
}

// 新增技术资料
export function addTechData(data) {
  return request({
    url: '/tech/techData',
    method: 'post',
    data: data
  })
}

// 修改技术资料
export function updateTechData(data) {
  return request({
    url: '/tech/techData',
    method: 'put',
    data: data
  })
}

// 删除技术资料
export function download(id) {
  return request({
    url: '/tech/techData/download/' + id,
    method: 'post'
  })
}
// 删除技术资料
export function delTechData(id) {
  return request({
    url: '/tech/techData/' + id,
    method: 'delete'
  })
}
// 删除上传文件
export function deleteFile(data) {
  return request({
    url: '/file/search/deleteDocument',
    method: 'post',
    data: data
  })
}
